# Class CIM_PowerUtilizationManagementCapabilities
extends CIM_EnabledLogicalElementCapabilities

CIM_PowerUtilizationManagementCapabilities describes the capabilities of the associated CIM_PowerUtilizationManagementService.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Capabilities
|
+--CIM_EnabledLogicalElementCapabilities
|
+--CIM_PowerUtilizationManagementCapabilities

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | CIM_PowerUtilizationManagementCapabilities describes the capabilities of the associated CIM_PowerUtilizationManagementService.
UMLPackagePath | string | CIM::Device::CoolingAndPower
Version | string | 2.23.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
PowerUtilizationModesSupported | uint16[] |
Description | string | PowerUtilizationModesSupported indicates the power utilization modes supported by associated instances of CIM_PowerUtilizationManagementService. See CIM_PowerUtilizationManagementService.PowerSavingMode for a description of each enumeration value.
ModelCorrespondence | string | CIM_PowerUtilizationManagementService.PowerUtilizationMode
ValueMap | string | 3, 4, .., 32768..65535
Values | string | Dynamic, Static, DMTF Reserved, Vendor Reserved
SupportedMethods | uint16[] |
Description | string | Enumeration of supported method identifiers
ValueMap | string | 2, .., 32768..65535
Values | string | ApplyPowerAllocationSettings, DMTF Reserved, Vendor Reserved

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_Capabilities
ElementNameEditSupported | boolean | CIM_EnabledLogicalElementCapabilities
ElementNameMask | string | CIM_EnabledLogicalElementCapabilities
InstanceID | string | CIM_Capabilities
MaxElementNameLen | uint16 | CIM_EnabledLogicalElementCapabilities
RequestedStatesSupported | uint16[] | CIM_EnabledLogicalElementCapabilities

## Class Methods